<bugID>1053950<Summary>Use promises for DebuggerClient.detach</Summary><Description>As noted in bug 1049835, the dbg-client's detach requires callees to execute the passed callback to continue the detach process.

This should be rewritten with promises / generators instead so that dbg-client does the work to keep things moving, not each client instance.</Description></bugID>